base class for Dialog components. Notifies parent dialog of state change via `change()`

### Hierarchy

- SuiComponentBase
  - SuiComponentParent
  - SuiDropdownComponent
  - SuiNoteTextComponent
  - SuiRockerComponent
  - SuiTextInputComponent
  - SuiToggleComponent

## Index

### Constructors

- constructor

### Accessors

- html

### Methods

- bind
- handleChanged
- makeClasses

## Constructors

### constructor

- new SuiComponentBase(dialog: SuiDialogNotifier, parameters: SuiBaseComponentParams): SuiComponentBase

- - Defined in src/ui/dialogs/components/baseComponent.ts:114

  #### Parameters

  - ##### dialog: SuiDialogNotifier

  - ##### parameters: SuiBaseComponentParams

  #### Returns SuiComponentBase

## Accessors

### Abstract html

- get html(): any

- - Defined in src/ui/dialogs/components/baseComponent.ts:132

  Return the html that lives in side the component DOM. Implemented by the base class.

  #### Returns any

## Methods

### Abstract bind

- bind(): void

- - Defined in src/ui/dialogs/components/baseComponent.ts:127

  Called by the dialog after rendering, so the derived class can bind the html controls

  #### Returns void

### handleChanged

- handleChanged(): void

- - Defined in src/ui/dialogs/components/baseComponent.ts:138

  Called by the derived class when the value changes. The change flag is set to true, so the dialog will know which component changed.

  #### Returns void

### makeClasses

- makeClasses(classes: string): string

- - Defined in src/ui/dialogs/components/baseComponent.ts:148

  combine component classes with string, used for composites

  #### Parameters

  - ##### classes: string

    string ot append

  #### Returns string

  combined strings

Generated using TypeDoc